Bug#659165: libbluray-dev: please review need for -dev package to depend on libbluray-bdj

Alessio Treglia alessio at debian.org
Thu Feb 9 09:05:12 UTC 2012

On Thu, Feb 9, 2012 at 9:57 AM, Fabian Greffrath <fabian at greffrath.com> wrote:
> Am 08.02.2012 22:58, schrieb Andres Mejia:
>> There's no need for the extra 'bluray-dev' package. Users needing
>> libbluray-bdj can just build-depend on the package.

Second proposal:

diff --git a/debian/control b/debian/control
index 87acaf6..9c5d483 100644
--- a/debian/control
+++ b/debian/control
@@ -27,8 +27,8 @@ Package: libbluray-dev
 Architecture: any
 Section: libdevel
 Depends: libbluray1 (= ${binary:Version}),
-         libbluray-bdj (= ${source:Version}),
+Suggests: libbluray-bdj
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an

Demoting libbluray-bdj to Suggests would let packages maintainers decide to
build-depend or not on the libbluray-bdj.

Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio at debian.org
Ubuntu Core Developer    | quadrispro at ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A

More information about the pkg-multimedia-maintainers mailing list